.\"	$NetBSD: nell.4,v 1.10 2004/01/08 09:16:11 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Martin Husemann <martin@NetBSD.org>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd January 7, 2004
.Dt NELL 4 sparc
.Os
.Sh NAME
.Nm nell
.Nd sbus pcmcia bridge
.Sh SYNOPSIS
# only needed for 32bit sparcs (remove the options line on sparc64):
.Cd "options FULL_SPARC_BUS_SPACE"
.Cd "nell* at sbus? slot ? offset ? flags 0"
.Cd "pcmcia* at nell? controller ? socket ?"
.Sh DESCRIPTION
The
.Nm
is a pcmcia bridge for the sbus.
It is also known as STP4020, the name
of the chipset used to implement it, and has SUN part number 501-2367.
.Pp
The firmware assigns two interrupt levels to the nell, but the driver only
needs a single interrupt.
Depending on distribution of interrupt levels on your machine you might
prefer the driver to use either the first (use flags value 0) or the second
(use flags value 1).
.Sh KERNEL THREAD
Each
.Nm
instance creates a kernel thread, named like the instance.
This thread is used to watch for card insertions and removals, and
handling the attachment and initialization of the card's driver.
.Sh SEE ALSO
.Xr pcmcia 4 ,
.Xr sbus 4
